Skip to main content
`Ctrl`+`K`

# PetscGaussLobattoLegendreElementAdvectionDestroy

frees the advection stiffness for a single 1d GLL element created with `PetscGaussLobattoLegendreElementAdvectionCreate()`

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscGaussLobattoLegendreElementAdvectionDestroy(PetscInt n, PetscReal nodes[], PetscReal weights[], PetscReal ***AA)

Not Collective

## Input Parameters

- n - the number of GLL nodes

- nodes - the GLL nodes, ignored

- weights - the GLL weights, ignored

- AA - advection obtained with `PetscGaussLobattoLegendreElementAdvectionCreate()`

## See Also

`PetscDTGaussLobattoLegendreQuadrature()`, `PetscGaussLobattoLegendreElementAdvectionCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dt.c

## Examples

src/tao/unconstrained/tutorials/burgers_spectral.c
src/ts/tutorials/ex50.c
src/tao/unconstrained/tutorials/spectraladjointassimilation.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages